> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uqpay.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve sensitive card details

> Retrieves the secure information for a specific card identified by `card_id`. This information includes details such as `expire date` and `CVV2`.

### Header

<ParamField header="x-client-id" type="string" required>
  `x-client-id`.
</ParamField>

<ParamField header="x-auth-token" type="string" required>
  Bearer `YOUR_TOKEN_HERE`.
</ParamField>

### Parameters

<ParamField path="card_id" type="string" required>
  Unique Identifier for card.
</ParamField>

### Response

<ResponseField name="code" type="number">
  Indicates whether the call was successful. 200 if successful, 400 if not.
</ResponseField>

<ResponseField name="message" type="string">
  Response Message. "Success" if successful, others not.
</ResponseField>

<ResponseField name="data" type="array">
  <Expandable title="details" defaultOpen>
    <ResponseField name="card_cvv2" type="string">
      Card Verification Value.
    </ResponseField>

    <ResponseField name="card_expire_date" type="string">
      Card Expiry Date.
    </ResponseField>

    <ResponseField name="card_number" type="number">
      Card number.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL Example Request theme={null}
  curl 'https://api.sandbox.uqpay.org/api/v1/cards/570f6e4b-8ec6-41ce-9481-915c03cffdc9/secure' \
  -H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
  -H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "code": 200,
      "message": "Success",
      "data": {
          "card_cvv2": "786",
          "card_expire_date": "10/25",
          "card_number": "9333019900054387"
      }
  }
  ```
</ResponseExample>
